Bug 849574 - fatrat: contains non-free software
Summary: fatrat: contains non-free software
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fatrat   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2012-08-20 08:43 UTC by Mikolaj Izdebski
Modified: 2013-03-04 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 06:45:40 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mikolaj Izdebski 2012-08-20 08:43:36 UTC
Description of problem:
For me it looks like fatrat is bundling a non-free library
(among bundled free software libraries).

./data/java/libs/json.jar is a binary-only file. The upstream
license is JSON license, which is prohibited in Fedora [1].

Please remove non-free software from Fedora.

Version-Release number of selected component (if applicable):
1.2.0-0.6.beta1

[1] https://fedoraproject.org/wiki/Licensing:Main#Bad_Licenses

Comment 1 Fedora Update System 2012-08-22 18:09:06 UTC
fatrat-1.2.0-0.7.beta2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-12305/fatrat-1.2.0-0.7.beta2.fc18

Comment 2 Fedora Update System 2012-08-23 04:32:38 UTC
Package fatrat-1.2.0-0.7.beta2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fatrat-1.2.0-0.7.beta2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12305/fatrat-1.2.0-0.7.beta2.fc18
then log in and leave karma (feedback).

Comment 3 Mikolaj Izdebski 2012-08-23 04:47:04 UTC
json was non-free package and as such it was removed from Fedora. Simply adding "Requires: json" won't work.

Comment 4 Jan Vcelak 2012-08-23 07:47:59 UTC
(In reply to comment #3)
> json was non-free package and as such it was removed from Fedora. Simply
> adding "Requires: json" won't work.

I disabled all Java features, removed the compiled JAR files, and will talk to the upstream. Adding json was a blind (and wrong) shot. That is a different library, in addition orpahned in F18.

The updated package is fine.

Comment 5 Jan Vcelak 2012-08-23 07:49:44 UTC
You (In reply to comment #3)
> json was non-free package and as such it was removed from Fedora. Simply
> adding "Requires: json" won't work.

You are commenting the wrong build.

Comment 6 Fedora Update System 2012-08-31 06:45:40 UTC
fatrat-1.2.0-0.7.beta2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.